/***
*		Keyolator.h -- ui for keyolator.c
*		 1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   2 Apr 94 | created from keylock.h
  13 Apr 94 | added gadgetry for source key
  17 Apr 94 | added gadgetry for old events
  18 Nov 96 | added poppipes and sysex menu
*/

#include <intuition/intuition.h>

#define NEWKEY    1
#define OLDKEY    2
#define NEWEVENTS 3
#define OLDEVENTS 4
#define POP_OLD   5
#define POP_NEW   6

static struct Gadget Gadget6 = {
	NULL,
	209,41,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	POP_OLD,
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	209,14,
	22,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	POP_NEW,
	NULL
};

static struct IntuiText IText1 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Old=Key & Scale/Mode Events",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	10,55,
	220,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText1,
	NULL,
	NULL,
	OLDEVENTS,
	NULL
};

static struct IntuiText IText2 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Old Key:",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	10,43,
	66,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText2,
	NULL,
	NULL,
	OLDKEY,
	NULL
};

static struct IntuiText IText3 = {
	4,0,JAM1,
	2,1,
	NULL,
	"New=Key & Scale/Mode Events",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	10,28,
	220,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText3,
	NULL,
	NULL,
	NEWEVENTS,
	NULL
};

static struct IntuiText IText4 = {
	4,0,JAM1,
	2,1,
	NULL,
	"New Key:",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	10,16,
	66,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText4,
	NULL,
	NULL,
	NEWKEY,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText IText5 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem11 = {
	NULL,
	0,16,
	139,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText5,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText6 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free SysEx",
	NULL
};

static struct MenuItem MenuItem10 = {
	&MenuItem11,
	0,8,
	139,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText6,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText IText7 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

static struct MenuItem MenuItem9 = {
	&MenuItem10,
	0,0,
	139,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText7,
	NULL,
	'X',
	NULL,
	MENUNULL
};

static struct Menu Menu3 = {
	NULL,
	0,0,
	80,0,
	MENUENABLED,
	"Keyolator v1.2  1996 Michael Rees",
	&MenuItem9
};

#define MenuList1 Menu3

static struct NewWindow NewWindowStructure1 = {
	199,20,
	239,70,
	0,1,
	GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

/***************** dummy text for keyname locations
OldName
static struct IntuiText IText7 = {
	3,0,JAM2,
	84,44,
	NULL,
	"C# Friggin",
	NULL
};

NewName
static struct IntuiText IText6 = {
	3,0,JAM2,
	84,17,
	NULL,
	"G# Mixolydian",
	&IText7
};
****************/


#define GCOUNT 4
#define WTITLE "Keyolator"